Catmandu::Fix::Condition::any_equal(3pm)

NAME
Catmandu::Fix::Condition::any_equal - Execute fixes when at least one of the path values equal a string value

DESCRIPTION
This fix is meant as an simple alternative to Catmandu::Fix::Condition::any_match. No regular expressions are involved. String are compared using the regular operator 'eq'.

SYNOPSIS
   # any_equal(X,Y) is true when at least one value of the array X equals 'Y'
   if any_equal('years.*','2018')
    add_field('my.funny.title','true')
   end

   # any_equal(X,Y) is false when none of the values of X equal 'Y'

SEE ALSO
Catmandu::Fix , Catmandu::Fix::Condition::all_equal